<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HeapDatabase..::.Append Method (DatabaseEntry, Transaction)
HeapDatabase Class See Also Send Feedback

Append the data item to the end of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet60 (in libdb_dotnet60.dll) Version: 6.0.30.0

# Syntax

C#

    public HeapRecordId Append(
    	DatabaseEntry data,
    	Transaction txn
    )

Visual Basic (Declaration)

    Public Function Append ( _
    	data As DatabaseEntry, _
    	txn As Transaction _
    ) As HeapRecordId

Visual C++

    public:
    HeapRecordId^ Append(
    	DatabaseEntry^ data,
    	Transaction^ txn
    )

#### Parameters

data
  Type: BerkeleyDB..::.DatabaseEntry
  The data item to store in the database

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

The heap record id allocated to the record

# See Also

HeapDatabase Class
Append Overload
BerkeleyDB Namespace